{
  "name": "Velocity Stream Deck Extension Plugin",
  "version": "0.0.2",
  "description": "Connects to our accompanying Elgato Stream Deck plugin to create physical controls for your Velocity Coaching Session.",
  "author": "VQVelocity",
  "homepage_url": "https://github.com/VQ-Velocity/StreamDeck-Velocity",
  "manifest_version": 3,
  "icons": {
    "16": "images/icon16.png",
    "32": "images/icon32.png",
    "48": "images/icon48.png",
    "128": "images/icon128.png"
  },
  "permissions": [],
  "host_permissions": [
    "https://app.vqvelocity.com/*",
    "https://staging.vqvelocity.com/*",
    "http://localhost:8100/*"
  ],
  "content_scripts": [
    {
      "matches": [
        "https://app.vqvelocity.com/*",
        "https://staging.vqvelocity.com/*",
        "http://localhost:8100/*"
      ],
      "js": [
        "event_handlers/base_event_handler.js",
        "event_handlers/toggle_event_handler.js",
        "event_handlers/label_based_toggle_event_handler.js",
        "event_handlers/side_panel_event_handler.js",
        "event_handlers/chat_event_handler.js",
        "event_handlers/leave_call_event_handler.js",
        "event_handlers/mic_event_handler.js",
        "event_handlers/participants_event_handler.js",
        "event_handlers/pin_presentation_event_handler.js",
        "event_handlers/hand_event_handler.js",
        "event_handlers/captions_event_handler.js",
        "event_handlers/emoji_react_event_handler.js",
        "event_handlers/velocity_camera_event_handler.js",
        "event_handlers/velocity_sort_event_handler.js",
        "event_handlers/velocity_page_back_event_handler.js",
        "event_handlers/velocity_page_next_event_handler.js",
        "event_handlers/velocity_blind_event_handler.js",
        "event_handlers/velocity_sortbydatetime_event_handler.js",
        "event_handlers/velocity_sortbyname_toggle_event_handler.js",
        "stream_deck_connection_manager.js",
        "errors.js",
        "main.js"
      ],
      "run_at": "document_idle"
    }
  ]
}

